#
# Conditional build:
%bcond_with	tests	# don't perform "make test"
#
%define		pdir	Digest
%define		pnam	MD4
Summary:	Digest::MD4 - MD4 digest algorithm implementation
Summary(pl.UTF-8):	Digest::MD4 - implementacja algorytmu skrótu MD4
Name:		perl-Digest-MD4
Version:	1.9
Release:	7%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7d3818b5da96fc876424caebcebf88f4
URL:		http://search.cpan.org/dist/Digest-MD4/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::MD4 module allows you to use the RSA Data Security Inc.
MD4 Message Digest algorithm from within Perl programs.  The algorithm
is described in RFC 1320.

%description -l pl.UTF-8
Moduł Digest::MD4 pozwala na używanie algorytmu skrótu MD4 firmy RSA
Data Security Inc. w programach perlowych. Algorytm jest opisany w RFC
1320.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/MD4.pm
%dir %{perl_vendorarch}/auto/Digest/MD4
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/MD4/MD4.so
%{_mandir}/man3/*
%changelog
* Sat Aug 17 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Digest-MD4.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> c0e7eaa
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 6e2bc5e
- perl 5.38.0 rebuild

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 9c2ab91
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> e22f220
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 34faa6f
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cd528b7
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 6e50ece
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 8752701
- updated to 1.9

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> f56ac4d
- perl req/prov fix
- release 15 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 511a21a
- rebuild with perl 5.26
- release 14 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 9cd115b
- rebuild with perl 5.24.0
- release 13 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7ae27ad
- release 12 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b8a896e
- x32 rebuild
- release 11 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 32bc4e9
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0e32858
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ed02c87
- rebuild for perl 5.20
- release 9 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 49f7f21
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 7f5fd78
- rel 7

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 3aadc85
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0b92690
- release 5

